<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{% block title %}{% endblock %}</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="src/css/main.css">
</head>

<body data-spy="scroll" data-target=".navbar" data-offset="50">
    <!-- HOME -->
    <header id="home" class="section-height bg-turquoise-green text-center text-white bigFont">
        {% block header %}{% endblock %}
    </header>
    <!-- NAVBAR -->
    <nav class="navbar navbar-expand-sm sticky-top bg-turquoise-green height-50px white-bottom-border-12 height-100p">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
            <span class="navbar-toggler-icon"><img class="img-30px" src="img/menu.png" alt="menu"></span>
        </button>

        <div class="collapse navbar-collapse" id="collapsibleNavbar">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link text-white bolder x-large-font fade" href="#home">HOME</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link text-white bolder x-large-font fade" href="#about">ABOUT</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link text-white bolder x-large-font fade" href="#projects">PORTFOLIO</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link text-white bolder x-large-font fade" href="#contact">CONTACT</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- ABOUT -->
    <section id="about" class="padding-top-90px bg-blue">
        <h1 class="text-center text-white bolder txt-underline">ABOUT ME</h1>
        <div id="skillsSection" class="card-group centered_width85 margin-top-30px">
            {% block skills %}{% endblock %}
        </div>
        <div class="card-group centered_width85">
            <div class="card noborder bg-blue">
                <div class="card-body text-center text-white bolder x-large-font">
                    {% block profil %}{% endblock %}
                </div>
            </div>
            <div class="card noborder bg-blue">
                <div class="card-body text-center">
                    <div class="container">
                        <h2 class="txt-yellow bolder margin-bottom-20px">Competences</h2>
                        {% block competences %}{% endblock %}
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- PORTFOLIO -->
    <section id="projects" class="padding-top-90px bg-orange">
        <h1 class="text-center text-white bolder txt-underline">MY PROJECTS</h1>
        <div class="container-fluid">
            {% block projects %}{% endblock %}
        </div>
    </section>
    <!-- CONTACT -->
    <section id="contact" class="padding-top-90px bg-dark-blue" style="height:1100px">
        <h1 class="text-center text-white bolder txt-underline">CONTACT ME</h1>
        <article>
            <h2 class="text-center txt-yellow bolder p-4">Have a question about my work or about me ?</h2>
            <div class="container">
                <form action="src/phpScripts/tools/addContact.php" method="POST">
                    <div class="form-group">
                        <input name="name" type="text" class="form-control x-large-font" placeholder="Name" required>
                    </div>
                    <div class="form-group">
                        <input name="email" type="email" class="form-control x-large-font" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" placeholder="Email" required>
                    </div>
                    <div class="form-group">
                        <textarea name="message" rows="5" class="form-control x-large-font" placeholder="Your message" required></textarea>
                    </div>                  
                    <div class="form-group d-flex">
                        <div class="flex-fill p-1" ><button type="submit" class="btn bolder xx-large-font w-100">Submit</button></div>
                        <div class="flex-fill p-1" ><button type="reset" class="btn bolder xx-large-font w-100">Reset</button></div>
                    </div>      
                </form> 
            </div>         
        </article>
        
        <article>
            <h2 class="text-center txt-yellow bolder p-4">Follow me : </h2>
            <div class="container-fluid text-center">
                <div class="d-inline-flex">
                    {% block socialMedias %}{% endblock %}
                </div>
            </div>
        </article>
        
    </section>
    <!-- FOOTER -->
    <footer>
        <div class="text-center bg-turquoise-green bolder">&copy; HAIOUM DAVID - 2019</div>
    </footer>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.4.0/Chart.min.js"></script>
    <script src="src/js/scrollspy.js"></script>

</body>

</html>